# Gitea uruchamiana automatycznie na środowisku AWS

Zadania numer `3.1` i `3.2` z przedmiotu *Chmury obliczeniowe* zrealizowane na środowisku AWS.

## Wymagania wstępne
- Konto na platformie AWS
- skonfigurowany plik `.aws/credentials` z danymi dostępowymi do AWS

## Uruchomienie
1. Sklonuj repozytorium
2. Uruchom skrypt `deploy.py`:
```bash
python3 deploy.py
```

Opcjonalnie można uruchomić skrypt `deploy.sh`:
```bash
./deploy.sh
```

## Zasada działania
Skrypt `deploy.py` tworzy sieć VPC, subnety, routing table, security group, 2 instancje EC2 i dodatkowy dysk twardy. Następnie instaluje na jednej z instancji serwer Gitea, a na drugiej bazę danych PostgreSQL (na obu instancjach aplikację działają na dockerze i komunikują się między sobą).

Skrypt `deploy.sh` uruchamia skrypt `deploy.py`.

Po zakończeniu wykonywania skryptu, w konsoli zostanie wyświetlony adres instancji z zainstalowanym serwerem Gitea. **UWAGA:** Po pomyślnej konfiguracji kliknięcie przycisku `ENTER` w konsoli usuwa wszystkie zasoby utworzone przez skrypt.